Summary: E-text tools for Palm Computing(R) users.
%define name            palm-doctoolkit
%define version         1.1.4
%define release         1

Name: 		%{name}
Version:	%{version}
Release:	%{release}
Vendor:		Rob Tillotson <robt@debian.org> 
Copyright:	GPL
Group:		Development/Libraries
BuildRoot:	/tmp/%{name}-%{version}-%{release}
BuildArchitectures: noarch
Source: 	http://purl.oclc.org/net/n9mtb/cq/dist/doctoolkit-%{version}.tar.gz
Packager:	Holger Drer <holly@starship.python.net>
Requires:	python >= 1.5.2
Requires:	pyrite >= 0.9.3
Prefix:		%{_prefix}
Prereq:         python python-devel

%description
Doc Toolkit is a set of tools for building PalmPilot e-texts in the
de facto standard Doc format.  It includes tools for converting HTML
and ASCII text to Doc databases, and has the following features (among
others):

  - input from local files or URLs, gzip supported
  - create databases on local disk or install directly on the PalmPilot
  - user can set category, type, creator, and backup bit
  - TealDoc tag support (headings, rules, links, etc.)
  - true bookmark support (no auto-scan required)
  - TealDoc headers wordwrapped based on actual Palm OS font metrics
  - extended character set support in HTML
  - embedded nroff-like tags supported in text conversion

%prep

%setup -q -n doctoolkit-%{version}

%build
# nothing to do -- non-binary

%install
make install DESTDIR=$RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/man/man1
ln -s /usr/lib/python1.5/site-packages/DocToolkit/dtk $RPM_BUILD_ROOT/%{_prefix}/bin
ln -s /usr/lib/python1.5/site-packages/DocToolkit/doctotext $RPM_BUILD_ROOT/%{_prefix}/bin

install -m 644 doc/doctotext.1 $RPM_BUILD_ROOT/%{_prefix}/man/man1
install -m 644 doc/dtk.1       $RPM_BUILD_ROOT/%{_prefix}/man/man1

python /usr/lib/python1.5/compileall.py     -d /usr/lib/python1.5/site-packages \
				$RPM_BUILD_ROOT/usr/lib/python1.5/site-packages

python -O /usr/lib/python1.5/compileall.py  -d /usr/lib/python1.5/site-packages \
				$RPM_BUILD_ROOT/usr/lib/python1.5/site-packages

%files
%defattr(-, root, root)
%doc README ChangeLog doc/COPYING doc/README.1.1.0 doc/announce.txt

%{_prefix}/man/man1/dtk.1*
%{_prefix}/man/man1/doctotext.1*

/usr/lib/python1.5/site-packages/DocToolkit/*
/usr/bin/*


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jun 02 2000 Jeff Rush <jrush@taupro.com>
- Updated RPM from 1.1.0 to 1.1.4 of the DocToolKit tarball.
- Changed arch from i386 to noarch, since it's all non-binary.
- Added in omitted docs and man pages.
- Added in new doctotext command.
- Added a defattr so ownership of files is root, not RPM builder.
- Added -d to python compile, so tracebacks show true path, not /tmp.
* Thu Jun 24 1999 Holger Duerer <H.Duerer@ZAIT.Uni-Bremen.DE>
- Adapted Eliot Landrum's RPM to my taste (his are available 
  at http://www.aspect.net/~eliot/doctoolkit/ ):
  o Temp. install now goes into a dir in /tmp not in the real python dir
  o python files get compiled before being packed into the rpm
  o install dtk in /usr/bin
  o some minor infos added
  o Version is only a variable => easier update when Rob sends out new
    versions
- To distinguish this from the previous version, I made it release 2
